*,
*::after,
*::before {
	box-sizing: border-box;
}

body {
	margin: 0;
	font-family: "Agrandir", sans-serif;
	font-weight: 400;
	-webkit-font-smoothing: antialiased;
	font-size: px($fontSizeDefault);
	color: $firefly;
	-webkit-tap-highlight-color: transparent;
	background-color: $white;
}

hr,
p {
	margin: 0;
	padding: 0;
}

hr {
	border: none;
	height: 1px;
}

input,
button,
textarea {
	outline: none;
	border: none;
	box-shadow: none;
	font-size: px($fontSizeDefault);
}

button {
	margin: 0;
	padding: 0;
}

ul,
li {
	list-style: none;
	margin: 0;
	padding: 0;
}

a {
	appearance: none;
	margin: 0;
	outline: none;
	padding: 0;
	text-decoration: none;
	color: $black;
	transition: all 0.2s ease-out;
	cursor: pointer;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	margin: 0;
	padding: 0;
}

.px-2 {
	padding-top: rem($fontSizeDefault * 2);
	padding-bottom: rem($fontSizeDefault * 2);
}

.mb-2 {
	margin-bottom: rem($fontSizeDefault * 2);
}

.locked {
	overflow-y: hidden;

	&::after {
		content: "";
	}
}

.overlay {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	z-index: -1;
	display: none;
	background-color: transparent;
	transition: all 0.2s ease-out;

	&--show {
		display: block;
		background-color: rgba($black, 0.15);
	}
}

.body-wrapper {
	padding-top: 56px;
	
}

.swiper-button-disabled {
	opacity: 0.5;
}

.swiper-pagination-bullet {
	display: inline-block;
	border: 1px solid $salem;
	border-radius: 50%;
	width: 10px;
	height: 10px;
	background-color: $white;
	opacity: 1;
	transition: all 0.3s ease-out;
	cursor: pointer;

	&.swiper-pagination-bullet-active {
		background-color: $salem;
	}
}


